clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::ento::CheckerRegistry::CmdLineOption Struct Reference

Specifies a command line option. More...

`#include "clang/StaticAnalyzer/Frontend/CheckerRegistry.h"`

Collaboration diagram for clang::ento::CheckerRegistry::CmdLineOption:
[legend]

## Public Member Functions
| CmdLineOption (StringRef OptionType, StringRef OptionName, StringRef DefaultValStr, StringRef Description, StringRef DevelopmentStatus, bool IsHidden)

## Public Attributes
StringRef | OptionType
StringRef | OptionName
StringRef | DefaultValStr
StringRef | Description
StringRef | DevelopmentStatus
bool | IsHidden

## Detailed Description

Specifies a command line option.

It may either belong to a checker or a package.

Definition at line 96 of file CheckerRegistry.h.

## Constructor & Destructor Documentation

## ◆ CmdLineOption()

clang::ento::CheckerRegistry::CmdLineOption::CmdLineOption | ( | StringRef | OptionType,
|  | StringRef | OptionName,
|  | StringRef | DefaultValStr,
|  | StringRef | Description,
|  | StringRef | DevelopmentStatus,
|  | bool | IsHidden
| ) |  |
| inline

Definition at line 104 of file CheckerRegistry.h.

## Member Data Documentation

## ◆ DefaultValStr

StringRef clang::ento::CheckerRegistry::CmdLineOption::DefaultValStr

Definition at line 99 of file CheckerRegistry.h.

Referenced by clang::ento::CheckerRegistry::addChecker(), and clang::ento::CheckerRegistry::printCheckerOptionList().

## ◆ Description

StringRef clang::ento::CheckerRegistry::CmdLineOption::Description

Definition at line 100 of file CheckerRegistry.h.

Referenced by clang::ento::CheckerRegistry::addChecker(), and clang::ento::CheckerRegistry::printCheckerOptionList().

## ◆ DevelopmentStatus

StringRef clang::ento::CheckerRegistry::CmdLineOption::DevelopmentStatus

Definition at line 101 of file CheckerRegistry.h.

Referenced by clang::ento::CheckerRegistry::addChecker(), and clang::ento::CheckerRegistry::printCheckerOptionList().

## ◆ IsHidden

bool clang::ento::CheckerRegistry::CmdLineOption::IsHidden

Definition at line 102 of file CheckerRegistry.h.

Referenced by clang::ento::CheckerRegistry::printCheckerOptionList().

## ◆ OptionName

StringRef clang::ento::CheckerRegistry::CmdLineOption::OptionName

Definition at line 98 of file CheckerRegistry.h.

Referenced by clang::ento::CheckerRegistry::addChecker(), and clang::ento::CheckerRegistry::printCheckerOptionList().

## ◆ OptionType

StringRef clang::ento::CheckerRegistry::CmdLineOption::OptionType

Definition at line 97 of file CheckerRegistry.h.

Referenced by clang::ento::CheckerRegistry::addChecker(), and clang::ento::CheckerRegistry::printCheckerOptionList().

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Frontend/CheckerRegistry.h